#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: kapman
Summary: A Pac-Man clone
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Games/Arcade
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/games/kapman/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
BuildRequires: python-kde4 >= 1:%version
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: libxml2-utils
BuildRequires: python-qt4
BuildRequires: python-twisted
BuildRequires: qhull
Suggests: kapman-handbook

%description 
Kapman is a clone of the well known game Pac-Man.

You must run through the maze to eat all pills without being captured by a
ghost. By eating an energizer, Kapman gets the ability to eat ghosts for a few
seconds. When a stage is cleared of pills and energizer the player is taken to
the next stage with slightly increased game speed

%files
%_kde_bindir/kapman
%_kde_applicationsdir/kapman.desktop
%_kde_appsdir/kapman
%_kde_iconsdir/hicolor/*/apps/kapman.*
%_kde_datadir/sounds/kapman

#------------------------------------------------------------------------------

%package -n kapman-handbook
Summary: Kapman handbook
Conflicts: kapman < 1:4.7.1-2
Requires:  kapman >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kapman-handbook
This package provides the kapman handbook.

%files -n kapman-handbook
%_kde_docdir/HTML/en/kapman

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450608
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407229
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401847
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394400
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339481
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334561
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326763
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319288
- imported package kapman

